<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


include_once "include/config.php";
include_once "include/site.php";
;
include_once "include/common.php";

$database = site_prolog(PO_USER_TYPE_USER);

$event = pg_escape_string($_REQUEST['event']);

$current = pg_fetch_row(pg_query($database, "select users from calendar where identifier = $event"));

if ($po_user['id'] != $current[0]) {
  site_epilog($database);
  site_push_error($strings['errors']['not_owner']);
  header("Location: login.php");
  exit();
}

$year  = (int)$_REQUEST['year'];
$month = (int)$_REQUEST['month'];
$day   = (int)$_REQUEST['day'];

$result = pg_query($database, "begin");

if (!$result) {
  $result = pg_query($database, "update folder set event = null where event = $event");
 }
if (!$result) {
  $result = pg_query($database, "update album set event = null where event = $event");
 }
if (!$result) {
  $result = pg_query($database, "delete from calendar where identifier=$event");
 }

if (!$result) {
  site_push_error($strings['errors']['db_insert_failed']);
  pg_query($database, "rollback");
 } else {
  pg_query($database, "commit");
 }


site_epilog($database);

header("Location: my.datebook.php?view=1&year=$year&month=$month&day=$day");
?>
