<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


include_once "include/config.php";
;
include_once "include/common.php";
include_once "include/site.php";

$version_id = pg_escape_string($_REQUEST['version']);
$photo_id   = pg_escape_string($_REQUEST['photo']);

$database = site_prolog(PO_USER_TYPE_USER);

$files_to_nuke = pg_query($database, "
  select files.identifier, path
    from photo_version, files
   where files.version = photo_version.identifier
     and photo_version.identifier = $version_id");

$photo_version = pg_fetch_row(pg_query($database, "select photo_version.identifier, master, users from photo_version, photo where photo.identifier = photo_version.photo and photo_version.identifier='$version_id'"));

/* Enforce ownership */
if (($po_user['type'] != PO_USER_TYPE_ADMIN) &&
    ($po_user['id'] != $photo_version[2])) {
  site_epilog($database);
  site_push_error($strings['errors']['not_owner']);
  header("Location: login.php");
  exit();
}

if ($photo_version[1] == 't') {
  site_epilog($database);
  site_push_error($strings['errors']['delete_master']);
  header("Location: photo.php?photo=$photo_id&ver=$version_id&detail_info=5");
  exit();
}

pg_query($database, "begin");

$result = pg_query($database, "delete from album_content where version='$version_id'");

if ($result !== FALSE) {
  $result = pg_query($database, "delete from files where version = $version_id");
 }

if ($result !== FALSE) {
  $result = pg_query($database, "delete from photo_version where identifier='$version_id'");
 }

if ($result === FALSE) {
  site_push_error($strings['errors']['db_insert_failed']);
  pg_query($database, "rollback");
  site_epilog($database);
  header("Location: photo.php?photo=$photo_id&detail_info=5");
  exit();
}

// Lastly, remove all of the thumbnail and image from the filesystem
$err = error_reporting(0);
$files_to_nuke_cnt = pg_num_rows($files_to_nuke);
for ($i=0; $i < $files_to_nuke_cnt; $i++) {
  $drop_this_image = pg_fetch_row($files_to_nuke, $i);
  unlink($image_repository_path . "/" .$drop_this_image[1]);
  /* if a content based search server is set up, audit the removed images */
  // audit_photo($database, $drop_this_image[3]);
 }
error_reporting($err);

pg_query($database, "commit");
site_epilog($database);
header("Location: photo.php?photo=$photo_id&detail_info=5");
?>
