<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


include_once "include/config.php";
include_once "include/tools.php";
;
include_once "include/common.php";
include_once "include/export.php";
include_once "include/site.php";

$database = site_prolog(PO_USER_TYPE_USER);

$source_file      = $_FILES['source_file']['name'][0];
$source_file_type = $_FILES['source_file']['type'][0];
$source_file_tmp  = $_FILES['source_file']['tmp_name'][0];
$source_file_extension = strtolower(strrchr ($source_file, "."));

$temp_file = tempnam("/tmp", "po");
error_reporting(0);
if (!copy($source_file_tmp, $temp_file)) {
  site_epilog($database);
  header("Location: my.tools.php?selector=2");
  exit();
}
error_reporting(1);
$fd = fopen($source_file_tmp, "r");
$header_data = convert_read_header($fd, $source_file_extension);
$shooting_data = convert_read_body($fd, $source_file_extension);
fclose($fd);

site_header($strings['tools']['xml_converter']);
site_navigator(10);
site_navigator_status(emit_a("user.php", $strings['generic']['users'])." : ".emit_a("my.tools.php", $strings['generic']['my_tools'])." : ".$strings['tools']['xml_converter'], "");

print "&nbsp;<br/>";
display_navigator_box_top($tools_data['converter']['idx'], $tools_data, "100%");

print "&nbsp;<br/>";

print "<form method=\"post\" action=\"xml.converter.2.php\">\n";
print "<input type=\"hidden\" name=\"source_file_tmp\" value=\"$temp_file\" />\n";
print "<input type=\"hidden\" name=\"source_file_extension\" value=\"$source_file_extension\" />\n";
print "<table class=\"listing\">\n";
print "<tr class=\"folder_top\">\n";
print "<td colspan=\"2\">".$strings['tools']['fill_in_image_details']."</td>\n";
print "</tr>\n";
print "<tr><td>".$strings['tools']['base_file']."</td><td>";
print "<input type=\"text\" name=\"file_name\" value=\"$file_name\"/>";
print "<select name=\"file_number_digits\" title=\"".$strings['tools']['digits']."\">";
for ($i=1; $i < 11; $i++) {
  print emit_option($i, $i, FALSE);
}
print "</select>";
print " . <input type=\"text\" name=\"file_format\" value=\"$file_format\" size=\"5\" title=\"".$strings['tools']['file_format']."\" />";

print"</th>\n</tr>\n";
print "<tr><td>".$strings['tools']['start_num']."</td><td>";
print "<input type=\"text\" name=\"file_number_start\" value=\"$file_number_start\" size=\"10\" title=\"".$strings['tools']['start_num_text']."\" />";
print "</td>\n</tr>\n";
print "<tr><td>".$strings['tools']['num_photos']."</td><td>";
print "<input type=\"text\" name=\"frame_number\" value=\"$frame_number\" size=\"10\" title=\"".$strings['tools']['num_photos_text']."\" />";
print "</td>\n</tr>\n";
print "<tr><td>".$strings['generic']['folder']."</td><td>";
display_folder_combo("folder", get_users_folder($database), $current_folder, "null");
print "</td></tr>\n";

display_iptc_form($database, FALSE, 
		  "", "$po_user[first_name] $po_user[last_name]", "", "", 
		  "", "", "", "", "",
		  $strings['photo']['copyright']." (c) " . date("Y") . " $po_user[first_name] $po_user[last_name]",
		  "", "", "", "", "", 0, "t", "t", "");

print "<tr><td>Storage Location</td><td>";
display_storage_location_combo("storage_location_type", "");
print "<input type=\"text\" name=\"storage_location_id\" size=\"10\" /> -
       <input type=\"text\" name=\"storage_index\" size=\"4\" /> :
       <input type=\"text\" name=\"storage_size\" size=\"4\" />";
print "</td></tr>\n";

display_photo_tech_form($database, FALSE, 
			0, 0, 0, 0,
			0, 0, 0, 0,
			0, 0, 0, 0,
			0, 0, 0, 0,
			0, 0, 0, 0,
			"", "", "", "");

print "</table>\n";


$data = $shooting_data['data'];

print "&nbsp;<br/>\n";
print "<div>".$strings['tools']['select_lens']."</div>\n";
print "&nbsp;<br/>\n";
print "<table class=\"profile\">\n";
print "<tr><th>".$strings['photo']['identifier']."</th>\n";
print "<th>".$strings['generic']['focal_length']."</th>\n";
print "<th>".$strings['generic']['lens']."</th>\n";
print "<th>".$strings['generic']['flash']."</th>\n";

for ($i=1; $i < $shooting_data['frames']; $i++) {
  $frame_data = $data[$i];
  print "<tr>";
  print "<td>$i</td>";
  print "<td>$frame_data[focal_length]</td>";
  print "<td>\n";
  if ($frame_data['focal_length'] != "") {
    /* all lenses having that focal length */
    $users_lens = pg_query($database, "select identifier, name, model, variation, s_min_aperture, s_max_aperture, s_min_focal_length, s_max_focal_length
                                         from view_lens
                                        where users = $po_user[id]
                                          and $frame_data[focal_length] >= to_number(s_min_focal_length, 9999)
                                          and $frame_data[focal_length] <= to_number(s_max_focal_length, 9999)");

    /* best match */
    $current_lens = pg_fetch_row(pg_query($database, "select identifier from view_lens
                                                       where users = $po_user[id]

                                                         and $frame_data[focal_length] = to_number(s_min_focal_length, 9999)
                                                         and $frame_data[focal_length] = to_number(s_max_focal_length, 9999)"));

  } else {
    /* all lenses disregarding focal length */
    $users_lens = pg_query($database, "select identifier, name, model, variation, s_min_aperture, s_max_aperture, s_min_focal_length, s_max_focal_length
                                         from view_lens
                                        where users=$po_user[id]");
  }

  if (pg_num_rows($users_lens) == 1) {
    $current_value = pg_fetch_row($users_lens, 0);
    display_lens_combo("lens$i", $users_lens, $current_value[0], 0, 0);
  } else {
    display_lens_combo("lens$i", $users_lens, $current_lens[0], 0, 0);
  }

  print "</td>\n";
  print "<td>\n";
  if ($frame_data['flash_mode'] != "") {
    $users_flash     = pg_query($database, "select identifier, name, model, variation from view_flash where users=$po_user[id]");
    display_combo("flash$i", $users_flash, 0, "", 0);
  }
  print "</td>";
  print "</tr>\n";
}
print "</table>\n";

print "&nbsp;<br/>";
print $thm_elem['button.submit'];
print $thm_elem['button.clear'];
print "</form>\n";

display_navigator_box_bottom("100%");

site_footer($database);
site_epilog($database);
?>
