<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


include_once "include/config.php";
;
include_once "include/site.php";
include_once "include/admin.php";
include_once "include/common.php";

$database = site_prolog(PO_USER_TYPE_ADMIN);

$user_id = pg_escape_string($_REQUEST['user']);

pg_query($database, "begin");

$photos_to_be_removed = pg_query($database, "
  select path
    from photo, photo_version, files
   where files.version = photo_version.identifier
     and photo.identifier = photo_version.photo
     and photo.users = $user_id");

$result = pg_query($database, "delete from rating where users='$user_id'");

if ($result) {
  $result = pg_query($database, "update paper set last_modifying_users=null where last_modifying_users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "delete from label where users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "delete from calendar where users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "update calendar set client = null where client='$user_id'");
}
if ($result) {
  $result = pg_query($database, "delete from client where users='$user_id' or client='$user_id'");
}
if ($result) {
  $result = pg_query($database, "delete from rating where photo in (select identifier from photo where users='$user_id')");
}
if ($result) {
  $result = pg_query($database, "delete from files where version in (select identifier from photo_version v where v.photo in(select identifier from photo p where p.users = $user_id))");
}
if ($result) {
  $result = pg_query($database, "delete from photo_keywords where photo in (select identifier from photo where users='$user_id')");
}
if ($result) {
  $result = pg_query($database, "delete from photo_dupe where photo in (select identifier from photo where users='$user_id')");
}
if ($result) {
  $result = pg_query($database, "delete from album_content where album in (select identifier from album where users='$user_id')");
}
if ($result) {
  $result = pg_query($database, "delete from photo_version where photo in (select identifier from photo where users='$user_id')");
 }
if ($result) {
  $result = pg_query($database, "delete from photo_tech where photo in (select identifier from photo where users='$user_id')");
}
if ($result) {
  $result = pg_query($database, "delete from album where users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "delete from photo where users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "delete from folder where users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "update location set users='$po_user[id]' where users='$user_id'");
 }
if ($result) {
  $result = pg_query($database, "delete from film where users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "update film_type set last_modifying_users=null where last_modifying_users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "delete from lens where users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "update lens_type set last_modifying_users=null where last_modifying_users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "delete from camera where users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "update camera_type set last_modifying_users=null where last_modifying_users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "delete from flash where users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "update flash_type set last_modifying_users=null where last_modifying_users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "delete from scanner where users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "update scanner_type set last_modifying_users=null where last_modifying_users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "delete from support where users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "update support_type set last_modifying_users=null where last_modifying_users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "delete from filter where users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "update filter_type set last_modifying_users=null where last_modifying_users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "update manufacturer set last_modifying_users=null where last_modifying_users='$user_id'");
}
if ($result) {
  $result = pg_query($database, "delete from user_preferences where owner='$user_id'");
 }

$user_data = pg_fetch_row(pg_query($database, "select contact from users where identifier='$user_id'"));

if ($result) {
  $result = pg_query($database, "delete from users where identifier='$user_id'");
 }
if ($result) {
  $result = pg_query($database, "delete from contact_info where identifier='$user_data[0]'");
 }

/* Delete the actual files now */
if ($result) {
  $num_of_photos_to_remove = pg_num_rows($photos_to_be_removed);
  for ($i = 0; $i < $num_of_photos_to_remove; $i++) {
    $photo = pg_fetch_row($photos_to_be_removed, $i);
    $err = error_reporting(0);
    unlink($image_repository_path . "/" . $photo[0]);
    error_reporting($err);
  }
 }

/* Commit things */
if ($result) {
  pg_query($database, "commit");
 } else {
  site_push_error($strings['errors']['db_insert_failed']);
  pg_query($database, "rollback");
 }

site_epilog($database);
header("Location: admin.php?selector=".$admin_data['users_n_clients']['idx']);
?>
