<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


include_once "include/config.php";
include_once "include/mail.php";
include_once "include/site.php";
;

$database = site_prolog(PO_USER_TYPE_USER);

$client_id = pg_escape_string($_REQUEST['client']);
$status    = pg_escape_string($_REQUEST['status']);
$trusted   = pg_escape_string($_REQUEST['trusted']);

/* Ensure the user owns it !*/
if ($po_user['type'] < PO_USER_TYPE_ADMIN) {
  $result = pg_fetch_row(pg_query($database, "select count(identifier) from client where identifier=$client_id and users=$po_user[id]"));
  if ($result[0] == 0) {
    site_push_error($strings['errors']['not_owner']);
    site_epilog($database);
    header("Location: login.php");
    exit();
  }
 }

$error = 0;
$result = pg_query($database, "update client set status='$status', trusted='$trusted' where identifier='$client_id'");

if ($result) {
  $my_client_id = pg_fetch_row(pg_query($database, "select client from client where identifier='$client_id'"));
 
  send_client_account_change_notification($database, $po_user['id'], $my_client_id[0]);
 } else {
  site_push_error($strings['errors']['db_insert_failed']);
 }

site_epilog($database);
header("Location: my.datebook.php");
?>
