<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

/* Simple database connection wrapper */
function po_dbconnect() {
  global $db_dsn;

  {  // Compatibility code...
    global $db_host;
    global $db_port;
    global $db_name;
    global $db_user;
    global $db_password;
    
    if (isset($db_host)) {
      $db_dsn =  "host=" . $db_host . " port=" . $db_port . " dbname=" . $db_name . " user=" . $db_user . "  password=" . $db_password;    
    }
  }
  
  // $dbh = pg_connect($db_dsn);    /* Normal */
  $dbh = pg_pconnect($db_dsn);   /* Persistent */
  if ($dbh)
    pg_set_client_encoding($dbh, 'UTF-8');

 return $dbh;
}

?>
