<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  /* =============================================================== */

  // "name" => array("db_file" => db_file_name,
  //                 "dat_file" => dat_file_name,
  //                 "pre" => pre_function,
  //                 "post => post_function);

$versions = array("(none)" =>
		  array("db_file" => "po.db.02.05.sql",
			"dat_file" => "po.data.02.05.sql",
			"pre" => "po205_new_install"),
		  "2.05" =>
		  array("db_file" => "po.db.02.05.to.02.06.sql",
			"dat_file" => "po.data.02.05.to.02.06.sql"),
		  "2.06" =>
		  array("db_file" => "po.db.02.06.to.02.07.sql",
			"dat_file" => "po.data.02.06.to.02.07.sql",
			"post" => "po207_first_volume"),
		  "2.07" =>
		  array("db_file" => "po.db.02.07.to.02.08.sql",
			"dat_file" => "po.data.02.07.to.02.08.sql"),
		  "2.08" =>
		  array("db_file" => "po.db.02.08.to.02.09.sql",
			"dat_file" => "po.data.02.08.to.02.09.sql"),
		  "2.09" =>
		  array("db_file" => "po.db.02.09.to.02.10.sql",
			"dat_file" => "po.data.02.09.to.02.10.sql"),
		  "2.10" =>
		  array("db_file" => "po.db.02.10.to.02.11.sql",
			"dat_file" => "po.data.02.10.to.02.11.sql"),
		  "2.11" =>
		  array("db_file" => "po.db.02.11.to.02.12.sql",
			"dat_file" => "po.data.02.11.to.02.12.sql"),
		  "2.12" =>
		  array("db_file" => "po.db.02.12.to.02.13.sql",
			"dat_file" => "po.data.02.12.to.02.13.sql"),
		  "2.13" =>
		  array("db_file" => "po.db.02.13.to.02.14.sql",
			"dat_file" => "po.data.02.13.to.02.14.sql",
			"post" => "po213_214_migrate_repo"),
		  "2.14" =>
		  array("db_file" => "po.db.02.14.to.02.15.sql",
			"dat_file" => "po.data.02.14.to.02.15.sql"),
		  "2.15" =>
		  array("db_file" => "po.db.02.15.to.02.16.sql",
			"dat_file" => "po.data.02.15.to.02.16.sql",
			"pre" => "po215_216_createlang"), 
		  "2.16" =>
		  array("db_file" => "po.db.02.16.to.02.17.sql",
			"dat_file" => "po.data.02.16.to.02.17.sql"),
		  "2.17" =>
		  array("db_file" => "po.db.02.17.to.02.18.sql",
			"dat_file" => "po.data.02.17.to.02.18.sql"),
		  "2.18" =>
		  array("db_file" => "po.db.02.18.to.02.19.sql",
			"dat_file" => "po.data.02.18.to.02.19.sql"),
		  "2.19" =>
		  array("db_file" => "po.db.02.19.to.02.20.sql",
			"dat_file" => "po.data.02.19.to.02.20.sql"),
		  "2.20" =>
		  array("db_file" => "po.db.02.20.to.02.21.sql",
			"dat_file" => "po.data.02.20.to.02.21.sql"),
		  "2.21" =>
		  array("db_file" => "po.db.02.21.to.02.22.sql",
			"dat_file" => "po.data.02.21.to.02.22.sql"),
		  "2.22" =>
		  array("db_file" => "po.db.02.22.to.02.23.sql",
			"dat_file" => "po.data.02.22.to.02.23.sql"),
		  "2.23" =>
		  array("db_file" => "po.db.02.23.to.02.24.sql",
			"dat_file" => "po.data.02.23.to.02.24.sql"),
		  "2.24" =>
		  array("db_file" => "po.db.02.24.to.02.25.sql",
			"dat_file" => "po.data.02.24.to.02.25.sql"),
		  "2.25" =>
		  array("db_file" => "po.db.02.25.to.02.26.sql",
			"dat_file" => "po.data.02.25.to.02.26.sql"),
		  "2.26" =>
		  array("db_file" => "po.db.02.26.to.02.27.sql",
			"dat_file" => "po.data.02.26.to.02.27.sql"),
		  "2.27" =>
		  array("db_file" => "po.db.02.27.to.02.28.sql",
			"dat_file" => "po.data.02.27.to.02.28.sql"),
		  "2.28" =>
		  array("db_file" => "po.db.02.28.to.02.29.sql",
			"dat_file" => "po.data.02.28.to.02.29.sql"),
		  "2.29" =>
		  array("db_file" => "po.db.02.29.to.02.30.sql",
			"dat_file" => "po.data.02.29.to.02.30.sql"),
		  "2.30" =>
		  array("db_file" => "po.db.02.30.to.02.31.sql",
			"dat_file" => "po.data.02.30.to.02.31.sql"),
		  "2.31" =>
		  array("db_file" => "po.db.02.31.to.02.32.sql",
			"dat_file" => "po.data.02.31.to.02.32.sql"),
		  "2.32" =>
		  array("db_file" => "po.db.02.32.to.02.33.sql",
			"dat_file" => "po.data.02.32.to.02.33.sql",
			"post" => "po231_232_upgrade"),
		  "2.33" =>
		  array("db_file" => "po.db.02.33.to.02.34.sql",
			"dat_file" => "po.data.02.33.to.02.34.sql",
			"post" => "po233_234_post_migration",
			"pre" => "po233_234_pre_migration"),
		  );

  /* =============================================================== */

function po205_new_install($dbh) {
  global $image_repository_path;
  global $first_volume;
  global $new_install;

  $new_install = TRUE;
  print "<li>Creating initial image repository...";
  if (file_exists("$image_repository_path/$first_volume")) {
    print "<font color=\"red\">FAILED</font> (repository already exists under $image_repository_path)</li>\n";
    return FALSE;
  }
  $res = mkdir("$image_repository_path/$first_volume", 0755);
  if ($res === TRUE) {
    print "<font color=\"green\">OK</font></li>\n";
  } else {
    print "<font color=\"red\">FAILED</font> <pre>$image_repository_path/$first_volume</pre></li>\n";
  }
  return $res;
}

function po207_first_volume($dbh) {
  global $image_repository_path;
  global $first_volume;

  if (pg_query($dbh, "update system_preferences set current_volume='$first_volume'") !== FALSE)
    return TRUE;
  else
    return FALSE;
}

function po213_214_migrate_repo($dbh) {
  global $image_repository_path;
  global $new_install;
  global $first_volume;

  if ($new_install === TRUE) {
    print "<li>Creating new image repository layout...";
    $res = mkdir("$image_repository_path/$first_volume/00000", 0755);
    if ($res === TRUE)
      $res = mkdir("$image_repository_path/$first_volume/00001", 0755);
    if ($res === TRUE)
      $res = mkdir("$image_repository_path/$first_volume/00002", 0755);
    if ($res === TRUE) {
      print "<font color=\"green\">OK</font></li>\n";
    } else {
      print "<font color=\"red\">FAILED</font></li>\n";
    }
    return $res;
  }
  
  /* This function lifted mostly out of the old migrate.php.  
   I haven't tested it.. */

  print "<li>Migrating image repository to new (v2.14+) layout...";

  $conversion = array(array("desc" => "originals",  "prefix" => "hires", "sql_field" => "large_image_path",  "subvolume" => "00000"),
		      array("desc" => "previews",   "prefix" => "image", "sql_field" => "medium_image_path", "subvolume" => "00001"),
		      array("desc" => "thumbnails", "prefix" => "thumb", "sql_field" => "small_image_path",  "subvolume" => "00002"));
  
  $handle = opendir($image_repository_path);
  if ($handle === FALSE) {
    print "<font color=\"red\">FAILED</font> (couldn't open $image_repository_path)</li>\n";
    return FALSE;
  }
  print "</li>\n";
  print "<ul>\n";

  /* CONVERT EACH VOLUME IN THE IMAGE REPOSITORY */
  while (false !== ($directory = readdir($handle))) {
    if ($directory == "." || $directory == "..")
      continue;

    $volume = $image_repository_path ."/". $directory;
    print "<li>Migrating volume <b>" . $volume . "</b></li>";
    print "<ul>";

    /* FOR EACH FORMAT REPEAT THE FOLLOWING 3 STEPS */
    foreach ($conversion as $conv) {
      print "<li>Processing " . $conv['desc'];
      print "<ul>";
      $subdir = $volume ."/" . $conv['subvolume'];
      /* STEP 1 - CREATE NEW SUB-VOLUME */
      print "<li>Creating subdirectory <b>". $subdir ."</b> ... ";
      $result = mkdir($subdir);
      if ($result)
        print "<font color=\"green\"><b>OK</b></font>";
      else {
        print "<font color=\"red\"><b>FAILED</b></font>";
      }
      print "</li>";

      /* STEP 2 - MOVE THE APROPRIATE IMAGE FILES */
      $sql_field = $conv['sql_field'];
      $images_in_this_volume = pg_query($dbh, "
       select photo,
              $sql_field,
              (substr($sql_field,  char_length('$directory')+2)) as short
         from photo_version
        where '$directory' = substr($sql_field,  0, char_length('$directory') +1 )");

      $num_of_files = pg_num_rows($images_in_this_volume);
      for ($idx = 0; $idx < $num_of_files; $idx++) {
        $image = pg_fetch_row($images_in_this_volume, $idx);
        $image[2] = substr($image[2], 5);
        print "<li>Moving <b>". $image_repository_path . "/". $image[1] ."</b> to <b>". $subdir ."/". $image[2]. "</b> ... ";
        $result = rename($image_repository_path . "/". $image[1], $subdir ."/". $image[2]);
        if ($result) {
          print "<font color=\"green\"><b>OK</b></font>";
	} else {
          print "<font color=\"red\"><b>FAILED</b></font>";
        }
        print "</li>";
      }

      /* STEP 3 - UPDATE THE DATABASE */
      print "<li>Updating database ... ";
      $result = pg_query($dbh, "
       update photo_version
          set $sql_field = ('".$directory."/".$conv['subvolume'] ."/' || (substr($sql_field,  char_length('".$directory."/".$conv['prefix']."') + 1)))
        where '".$directory."/".$conv['prefix']."' = substr($sql_field,  0, char_length('".$directory."/".$conv['prefix']."') +1 )");

      if ($result) {
        print "<font color=\"green\"><b>OK</b></font>";
      } else {
        print "<font color=\"red\"><b>FAILED</b></font>";
      }
      print "</li>";

      print "</ul>";
      print "</li>";
    }
    print "</ul>";
  }
  closedir($handle);

  print "</ul>\n";
  print "<li>....<font color=\"green\">Migration Successful</font></li>\n";

  return TRUE;
}

function po215_216_createlang($dbh) {
  global $db_name;

  $res = pg_query("select * from pg_language where lanname = 'plpgsql'");

  print "<li>Checking for PL/PGSQL support...";

  if (pg_num_rows($res) > 0) {
    print "<font color=\"green\">OK</font></li>\n";
    return TRUE;
  }

  print "<font color=\"red\">FAILED</font></li>\n";
  print "<li>Run this command as root:<br/>\n";
  print "<pre>su - postgres -c \"createlang plpgsql $db_name\"</pre></li>\n";

  return FALSE;
}

/* iptc and exif stuff storage updated */

function po232_iptc_exif($dbh) {
  $trans = array("<tr><td>" => "<key>",
		 "</td><td>" => "</key><value>",
		 "</td></tr>\n" => "</value>");

  print "<li>Translating EXIF/IPTC data to new format...";
 
  $res = pg_query($dbh, "select identifier, exif, iptc from photo_tech where exif != '' or iptc != ''");

  for ($i=0; $i < pg_num_rows($res); $i++) {
    $dat = pg_fetch_assoc($res);

    $exif = strtr($dat['exif'], $trans);
    $iptc = strtr($dat['iptc'], $trans);

    if (($exif == $dat['exif']) &&
	($iptc == $dat['iptc']))
      continue;

    $exif = pg_escape_string($exif);
    $iptc = pg_escape_string($iptc);

    $res2 = pg_query($dbh, "update photo_tech set exif = '$exif', iptc = '$iptc' where identifier = $dat[identifier]");
    print " $dat[identifier] ";
    if ($res2 == FALSE) {
    print "<font color=\"red\">FAILED (# $dat[identifier])</font></li>\n";
      return FALSE;
    }
  }

    print "<font color=\"green\">OK</font></li>\n";
    return TRUE;
}

/* Migrate to new keyword table layout */
function semi_string_to_array($str){
   $expr="/;(?=(?:[^\"]*\"[^\"]*\")*(?![^\"]*\"))/";
   $results=preg_split($expr,trim($str));
   return preg_replace("/^\"(.*)\"$/","$1",$results);
}
function space_string_to_array($str){
   $expr="/ (?=(?:[^\"]*\"[^\"]*\")*(?![^\"]*\"))/";
   $results=preg_split($expr,trim($str));
   return preg_replace("/^\"(.*)\"$/","$1",$results);
}

function po232_keyword_migrate($dbh) {
  print "<li>Moving keyword data into a separate table...";

  $res = pg_query($dbh, "select identifier, keyword from photo where keyword != ''");
  for ($i=0; $i < pg_num_rows($res); $i++) {
    $dat = pg_fetch_assoc($res);
    $photo = $dat['identifier'];
    if (strstr($dat['keyword'], ";"))
      $keywords = semi_string_to_array($dat['keyword']);
    else
      $keywords = space_string_to_array($dat['keyword']);

    foreach ($keywords as $keyword) {
      $keyword = strtolower(trim($keyword));
      $keyword = trim($keyword, ','); /* Trailing commas */
      $keyword = trim($keyword);
      if ($keyword == "") continue;
      $keyword = pg_escape_string($keyword);

      pg_query($dbh, "insert into photo_keywords (photo, keyword) values ($photo, '$keyword')");
    }
  }

  print "<font color=\"green\">OK</font></li>\n";

  $res = pg_query($dbh, "alter table photo drop keyword");
  return TRUE;
}

function po231_232_upgrade($dbh) {

  $res = pg_query($dbh, "begin");

  $res = po232_keyword_migrate($dbh);
  if ($res)
    $res = po232_iptc_exif($dbh);

  if ($res !== FALSE) {
    $res = pg_query($dbh, "commit");
  } else {
    $res = pg_query($dbh, "rollback");
    return FALSE;
  }

  return $res;
}

function po_symlink($src, $dest) {
  chdir(dirname($src));
  $src = escapeshellarg(basename($src));
  $dest = escapeshellarg($dest);
  $retval;
  system("ln -s $src $dest", $retval);

  return ($retval == 0);
}

function po233_234_pre_migration($dbh) {
  global $po_options_default;
  global $image_repository_path;

  $res = TRUE;

  if (!readlink($image_repository_path."/current")) {
    /* Migrate the 'current volume' pref into the filesystem directly */
    $system_preferences = pg_fetch_row(pg_query($dbh, "select current_volume from system_preferences"));
    $new_volume = $system_preferences[0];
    $res = po_symlink($new_volume, "$image_repository_path/current");
    
    if (!$res)
      return $res;
  }

  /* ... detect bogus images ... */
  $bogus = array();
  $files = array();
  $versions = pg_query($dbh, "SELECT identifier, small_image_path, medium_image_path, large_image_path, photo FROM photo_version order by identifier");
  
  for ($i = 0 ; $i < pg_num_rows($versions) ; $i++) {
    $row = pg_fetch_row($versions, $i);
    
    /* Check original file type */
    $file_type = strtolower(substr($row[3], strrpos($row[3], ".") + 1));
    if (
	// ($file_type == "xmp") ||
	!is_readable("$image_repository_path/$row[1]") || 
	!is_readable("$image_repository_path/$row[2]") ||
	!is_readable("$image_repository_path/$row[3]")) {
      $bogus[] = $row[4];
      $files[] = "$image_repository_path/$row[1]";
      $files[] = "$image_repository_path/$row[2]";
      $files[] = "$image_repository_path/$row[3]";
    }
  }

  /* If we don't find any bogus images ... */
  if (count($bogus) == 0) {
    return TRUE;
  }
    
  $list = implode(", ", $bogus);

  print "<ul><li>Deleting bogus images ( $list )...</li>";

  $res = pg_query($dbh, "begin");
  
  /* ... nuke them from the database ... */
  $queries = array("delete from photo_keywords where photo in ($list)",
		   "delete from photo_spooler where photo in ($list)",
		   "delete from album_content where photo in ($list)",
		   "delete from submission where photo_dupe in (select photo_dupe.identifier from photo_dupe where photo_dupe.photo in ($list))",
		   "delete from photo_dupe where photo in ($list)",
		   "delete from photo_version where photo in ($list)",
		   "delete from photo_tech where photo in ($list)",
		   "delete from rating where photo in ($list)",
		   "delete from photo where identifier in ($list)");

  foreach ($queries as $query) {
    $res = pg_query($dbh, $query);
    if (!$res) {
      print "<li><pre>$query</pre></li>";
      break;
    }
  }

  /* ... then delete the files ... */
  if ($res) {
    $err = error_reporting(0);
    foreach ($files as $file) {
      print "<li><pre>$file</pre></li>";
      unlink("$file");
    }
    error_reporting($err);
    pg_query($dbh, "commit");
    print "<li>...done.</li></ul>";
  } else {
    print "<li><pre>".pg_last_error($dbh)."</pre></li>";
    pg_query($dbh, "rollback");
    print "<li><font color=\"red\">...FAILED!</font></li></ul>";
  }

  return $res;
}

function po233_234_post_migration($dbh) {
  $res = po233_234_migrateprefs($dbh);

  if ($res)
    $res = po233_234_migrate_photo_files($dbh);

  return $res;
}

function po233_234_migrateprefs($dbh) {
  global $po_options_default;

  $user_list = array();
  print("<ul>");

  $res = pg_query($dbh, "begin");

  $users = pg_query($dbh, "select identifier from users order by identifier");
  while (($user = pg_fetch_row($users)) != FALSE) {
    $user_list[] = $user[0];
  }

  print("<li>Migrating user preferences...</li>");

  // XXX loop through each userid, and do this:
  foreach ($user_list as $user) {
    $po_user = array("id" => $user);
    $options = array();
    
    $user_data = pg_fetch_row(pg_query($dbh, "select username, password, first_name, last_name, company, contact, preferences, imagemagick_options, imagemagick_composite_options, dcraw_options, type from users where identifier='$po_user[id]'"));

    print("<li>Migrating '$user_data[0]' (# $po_user[id])</li>");
  
    $po_user['prefs_id']        = $user_data[6];
    $po_user['im_id']           = $user_data[7];
    $po_user['im_composite_id'] = $user_data[8];
    $po_user['dcraw_id']        = $user_data[9];

    /* Basic preferences */
    $preferences = pg_fetch_row(pg_query($dbh, "
    select print_out, start_hour, end_hour, start_day, 
           folder_view, paper, label, popup_enable, popup_delay, search_enable_stemming,
           search_default_mode, download_counter, download_expiry_period, shop_enable,
           bulk_upload_enable, quota_size, quota_count
      from preferences
     where identifier=$po_user[prefs_id]"));

    $options['print_out']    = $preferences[0];
    $options['start_hour']   = $preferences[1];
    $options['end_hour']     = $preferences[2];
    $options['start_day']    = $preferences[3];
    $options['photo_view']  = $preferences[4]; 
    $options['paper']        = $preferences[5];
    $options['label']        = $preferences[6];
    $options['popup_enable'] = $preferences[7];
    $options['popup_delay']  = $preferences[8];
    $options['search_enable_stemming'] = $preferences[9];
    $options['search_engine_type'] = $preferences[10];
    $options['bulk_upload_enable'] = $preferences[14];
    $options['quota_size'] = $preferences[15];
    $options['quota_count'] = $preferences[16];

    /* Raw imports */
    $dcraw_options = pg_fetch_row(pg_query($dbh, "
    select gamma, brightness, white_balance, bitdepth
      from dcraw_options
     where dcraw_options.identifier = $po_user[dcraw_id]"));

    $options['dcraw_gamma']  = $dcraw_options[0];
    $options['dcraw_brightness'] = $dcraw_options[1];
    $options['dcraw_white_balance'] = $dcraw_options[2];
    $options['dcraw_bitdepth'] = $dcraw_options[3];

    /* Watermarking */
    $imagemagick_composite_options = pg_fetch_row(pg_query($dbh, "
    select gravity, watermark, (select photo from photo_version where identifier = imagemagick_composite_options.photo_version)
      from imagemagick_composite_options
     where imagemagick_composite_options.identifier=$po_user[im_composite_id]"));

    $options['watermark_location']  = $imagemagick_composite_options[0];
    $options['watermark_brightness'] = $imagemagick_composite_options[1];
    $options['watermark_photo'] = $imagemagick_composite_options[2];

    /* Preview & Thumbnail stuffs */
    $imagemagick_options = pg_fetch_row(pg_query($dbh, "
    select preview_quality, preview_colorspace, preview_gamma,
           preview_sharpen_radius, preview_sharpen_sigma,
           preview_sharpen_amount, preview_sharpen_threshold,
           preview_border_width, preview_border_height, preview_border_color,
           thumb_quality, thumb_colorspace, thumb_gamma,
           thumb_sharpen_radius, thumb_sharpen_sigma,
           thumb_sharpen_amount, thumb_sharpen_threshold,
           thumb_border_width, thumb_border_height, thumb_border_color
      from imagemagick_options
     where identifier=$po_user[im_id]"));

    $options['preview_quality']           = $imagemagick_options[0];
    $options['preview_color_space']       = $imagemagick_options[1];
    $options['preview_gamma']             = $imagemagick_options[2];
    $options['preview_sharpen_radius']    = $imagemagick_options[3];
    $options['preview_sharpen_sigma']     = $imagemagick_options[4];
    $options['preview_sharpen_amount']    = $imagemagick_options[5];
    $options['preview_sharpen_threshold'] = $imagemagick_options[6];
    $options['preview_border_width']      = $imagemagick_options[7];
    $options['preview_border_height']     = $imagemagick_options[8];
    $options['preview_border_color']      = $imagemagick_options[9];

    $options['thumb_quality']             = $imagemagick_options[10];
    $options['thumb_color_space']         = $imagemagick_options[11];
    $options['thumb_gamma']               = $imagemagick_options[12];
    $options['thumb_sharpen_radius']      = $imagemagick_options[13];
    $options['thumb_sharpen_sigma']       = $imagemagick_options[14];
    $options['thumb_sharpen_amount']      = $imagemagick_options[15];
    $options['thumb_sharpen_threshold']   = $imagemagick_options[16];
    $options['thumb_border_width']        = $imagemagick_options[17];
    $options['thumb_border_height']       = $imagemagick_options[18];
    $options['thumb_border_color']        = $imagemagick_options[19];

    /* Now dump the preference crap into the new table */

    foreach ($options as $key => $value) {
      $key = pg_escape_string($key);
      $value = pg_escape_string($value);
      if ($value == "") continue;
      if ($po_options_default[$key] == $value) continue; // Only migrate if they're not default!
      $res = pg_query($dbh, "INSERT INTO user_preferences(owner, key, value) VALUES ($po_user[id], '$key', '$value')");
      if ($res === FALSE) {
	print("<pre>Can't migrate prefs: $owner, $key, $value</pre>");
	break;
      }
    }
  }

  print "<li>All users migrated</li>";
  print("</ul>");

  if ($res) {
    $res = pg_query($dbh, "ALTER TABLE users DROP preferences");
  }
  if ($res) {
    $res = pg_query($dbh, "ALTER TABLE users DROP imagemagick_options");
  }
  if ($res) {
    $res = pg_query($dbh, "ALTER TABLE users DROP imagemagick_composite_options");
  }
  if ($res) {
    $res = pg_query($dbh, "ALTER TABLE users DROP dcraw_options");
  }
  if ($res) {
    $res = pg_query($dbh, "DROP TABLE imagemagick_options");
  }
  if ($res) {
    $res = pg_query($dbh, "DROP TABLE imagemagick_composite_options");
  }
  if ($res) {
    $res = pg_query($dbh, "DROP TABLE dcraw_options");
  }
  if ($res) {
    $res = pg_query($dbh, "DROP TABLE preferences");
  }
  if ($res) {
    $res = pg_query($dbh, "DROP SEQUENCE imagemagick_options_id_sequence");
  }
  if ($res) {
    $res = pg_query($dbh, "DROP SEQUENCE imagemagick_composite_options_id_sequence");
  }
  if ($res) {
    $res = pg_query($dbh, "DROP SEQUENCE dcraw_options_id_sequence");
  }
  if ($res) {
    $res = pg_query($dbh, "DROP SEQUENCE preferences_id_sequence");
  }

  if ($res) {
    $res = pg_query($dbh, "commit");
    return TRUE;
  } 

  $res = pg_query($dbh, "rollback");
  print "<li><pre>!!!" . pg_last_error($dbh) . "</pre></li>\n";    
  return FALSE;
}


function po_get_image_size($file) {
  global $sys_exiftool;

  $width = 0;
  $height = 0;

  $handle = popen("$sys_exiftool -ImageWidth -ImageHeight $file", "r");
  if ($handle) {
    while (!feof($handle)) {
      $line = fgets($handle);
      $parts = explode(":", $line, 2);
      $parts[0] = trim($parts[0]);
      if (!isset($parts[1])) continue;
      $parts[1] = trim($parts[1]);
      if ($parts[0] == "Image Width") $width = $parts[1];
      if ($parts[0] == "Image Height") $height = $parts[1];
      //print "<!-- XXX $parts[0] : $parts[1] -- $width $height -->\n";
    }
    pclose($handle);
  }

  if (!$width || !$height) {
    print "<li><font color=\"red\">File $file not recognisable as an image!</font></li>";
  }
  
  return array($width,$height);
}

function po233_234_migrate_photo_files($dbh) {
  global $image_repository_path;

  $res = TRUE;

  print("<ul>");

  print "<li>Migrating photo file table....</li>";

  $versions = pg_query($dbh, "SELECT identifier, small_image_path, medium_image_path, large_image_path, date_changed, photo FROM photo_version WHERE identifier not in (select distinct version from files) order by identifier");
  for ($i = 0 ; $i < pg_num_rows($versions) ; $i++) {
    $row = pg_fetch_row($versions, $i);

    print "<li>Migrating photo $row[5] version $row[0]</li>";

    $res = pg_query($dbh, "begin");
    
    /* Small image */
    $image_dimension = po_get_image_size($image_repository_path."/".$row[1]);
    $size = filesize($image_repository_path."/".$row[1]);
    $query = "INSERT INTO files (identifier, version, size, x_res, y_res, path, created, filesize, params, comments, watermark) VALUES ((select nextval('files_id_sequence')), $row[0], 1, $image_dimension[0], $image_dimension[1], '$row[1]', '$row[4]', $size, '', '', null)";
    $res = pg_query($dbh, $query);

    /* Preview image */
    if ($res) {
      $image_dimension = po_get_image_size($image_repository_path."/".$row[2]);
      $size = filesize($image_repository_path."/".$row[2]);
      $query = "INSERT INTO files (identifier, version, size, x_res, y_res, path, created, filesize, params, comments, watermark) VALUES ((select nextval('files_id_sequence')), $row[0], 2, $image_dimension[0], $image_dimension[1], '$row[2]', '$row[4]', $size, '', '', null)";
      $res = pg_query($dbh, $query);
    }
      
    /* Original image */
    if ($res) {
      $image_dimension = po_get_image_size($image_repository_path."/".$row[3]);
      $size = filesize($image_repository_path."/".$row[3]);
      $query = "INSERT INTO files (identifier, version, size, x_res, y_res, path, created, filesize, params, comments, watermark) VALUES ((select nextval('files_id_sequence')), $row[0], 3, $image_dimension[0], $image_dimension[1], '$row[3]', '$row[4]', $size, '', '',  null)";
      $res = pg_query($dbh, $query);
    }
      
    if ($res) {
      $res = pg_query($dbh, "commit");
    } else {
      print "<li><pre>$query</pre></li>";
      pg_query($dbh, "abort");
      break;
    }
    flush();
  }

  if ($res || $i == 0) {
    /* Ensure we have something left */
    $res = pg_query($dbh, "begin");
    $res = pg_fetch_row(pg_query($dbh, "SELECT count(*) from photo_version where identifier not in (select distinct version from files)"));
    if ($res[0] == 0) {
      $res = pg_query($dbh, "drop view view_random_photo");
      $res = pg_query($dbh, "drop view view_photo");
      $res = pg_query($dbh, "alter table photo_version drop small_image_path");
      $res = pg_query($dbh, "alter table photo_version drop medium_image_path");
      $res = pg_query($dbh, "alter table photo_version drop large_image_path");
    }
    if ($res) {
      $res = pg_query($dbh, "commit");
      $res = TRUE;
    } else {
      pg_query($dbh, "abort");
      $res = FALSE;
    }
  }

  print "</ul>";

  return $res;
}

  /* =============================================================== */

function po_process_db_file($dbh, $file) {
 $fh = fopen($file, 'r');
  if (!$fh) {
    print (" can't open file $row[db_file] \n");
    return FALSE;
  }
  $quot = 0;

#  $buffer = "-- ";
  $buffer = "";
  while (!feof($fh)) {
    $line = fgets($fh, 1024);
#    print ("READ:<pre>$line</pre><br/>\n");
    $offset = strpos($line, '--');
    if ($offset !== FALSE) {
      $line = substr($line, 0, $offset);
    }
    $line = trim($line);
    $buffer .= " $line";

    $offset = strrpos($line, "'");
    if ($offset === (strlen($line) -1)) {
      $quot = 1;
      continue;
    } else if (substr($line, 0, 1) === "'") {
      $quot = 0;
    }

#    print ("READ2: <pre>$quot offset $offset " . strlen($line) ."</pre><br/><pre>$buffer</pre><br/>");

    $offset = strrpos($buffer, ";");
    if (($quot == 0) && ($offset === (strlen($buffer)-1))) {
      $buffer = substr($buffer, 0, $offset);
      # print ("<pre>$buffer</pre><br/>\n");
      $res = pg_query($dbh, $buffer);
      if ($res === FALSE) {
	print ("<pre>-- FAILED: $buffer</pre><pre>$res</pre><br/>\n");
	return FALSE;
      }
      $buffer = "";
#     $buffer = "-- ";
    }
  }
  fclose($fh);
  if ($quot == 1) {
    print "<pre>Quoting problem...</pre>";
    return FALSE;
  }

  return TRUE;
}

function po_get_version($dbh) {
  $query = pg_query($dbh, "select major, minor, variation from version");
  if ($query != FALSE) {
    $row = pg_fetch_row($query);
    $version = sprintf("%d.%02d", $row[0],$row[1]);
  } else {
    $version = "(none)";
  }
  return $version;
}

  /* =============================================================== */

function display_db_form() {
  global $db_dsn;
  global $image_repository_path;
  global $site_url;
  global $site_title;

  $db_dsn = preg_replace("/password=(.*)/", "password=[hidden]", $db_dsn); 
  print "<h4>Configured Settings:  If any of these are incorrect, edit include/config_site.php</h4>\n";
  print "<form method=\"post\" action=\"install.php\">\n";
  print "<table>\n";
  print "<tr><td>Database Connection<br/>String</td><td>$db_dsn</td></tr>\n";
  print "<tr><td>Site URL</td><td>$site_url</td></tr>\n";
  print "<tr><td>Site Title</td><td>$site_title</td></tr>\n";
  print "<tr><td>Image Repository</td><td>$image_repository_path</td></tr>\n";
  print "</table>\n";
  print "<input type=\"hidden\" name=\"go\" value=\"1\" />\n";
  print "<input type=\"submit\" value=\"Install/Upgrade\" />\n";
  print "</form>\n";
}

  /* =============================================================== */

$db_dsn = "host=localhost port=5432 dbname=po_db user=po_user password=password"; 

$image_repository_path = "/export/po_dev_image_repository";
$site_url = "http://localhost/po";
$site_title = "My Photo Organizer";

  /* =============================================================== */

umask(0);

$go = $_REQUEST['go'];

$first_volume = "v0000";
$new_install = FALSE;

include "lang/en_US.php";
include "themes/aqua/theme.php";

print "<html><head><title>Photo Organizer Installer</title>";
print "<link rel=\"stylesheet\" type=\"text/css\" media=\"screen\" href=\"themes/aqua/screen.css\">\n";
print "</head><body>";
print "<h3>Photo Organizer Installation/Update Utility</h3>";

/* Sanity Checks */

if (!is_readable("include/config_site.php")) {
  print "<h4><font color=\"red\">Please copy include/config_site.php.dist to include/config_site.php and modify it with your site settings! (see installation instructions)</font></h4>\n";
  $go = 0;
 }

include "include/config.php"; /* Use configured defaults, if possible */

if (!$install_enabled) {
  print "<h3><font color=\"red\">Install disabled.  please set \$install_enabled=1 in config_site.php if you wish to run the installer.</font></h3>\n";
  exit(0);
 }

if (phpversion() < "5.0") {
  $x = phpversion();
  print "<h3>You are running PHP $x but Photo Organizer needs PHP >= 5.0</h3>\n";
  $go = 0;
 }

if (!$image_repository_path || !is_writable($image_repository_path)) {
  print "<h4><font color\"red\">The image repository '$image_repository_path' is not present or not writable by webserver.  Please ensure the <i>\$image_repository_path</i> setting points to a valid directory.</font></h4>\n";
  $go = 0;
 }

  /* =============================================================== */

/* magic quotes and such.. */

if (get_magic_quotes_gpc()) {
  print "<h4>PHP's <i>magic_quotes_gpc</i> is enabled.  Unless you need it for aonther application, we recommend you disable this in <i>php.ini</i>.  Photo Organizer should work with it enabled, but it has not been tested.</h4>\n";
}

if (get_magic_quotes_runtime()) {
  print "<h4>PHP's <i>magic_quotes_runtime</i> is enabled.  Unless you need it for aonther application, we recommend you disable this in <i>php.ini</i>.  Photo Organizer should work with it enabled, but it has not been tested.</h4>\n";
}

if( ini_get('safe_mode') ) {
  print "<h4><font color=\"red\">PHP's <i>safe mode</i> is enabled.  Photo Organzier will not currently work with safe mode enabled.  Please disable it in <i>php.ini</i> and re-load this page.</font></h4>\n";
  $go = 0;
}

if( ini_get('display_errors') ) {
  print "<h4><font color=\"red\">PHP's <i>display_errors</i> option is enabled.  This will break many of PO's pages, on top of being a general security risk.  Please disable it in <i>php.ini</i> and re-load this page.</font></h4>\n";
  $go = 0;
}

if( ! ini_get('file_uploads') ) {
  print "<h4><font color=\"red\">PHP's <i>file_uploads</i> feature is disabled.  As non-administrators cannot upload images with this enabled, you'll probably want to enable it in <i>php.ini</i>.</font></h4>\n";
}

$filesize = ini_get("upload_max_filesize");
$postsize = ini_get("post_max_size");
$memlimit = ini_get("memory_limit");

if ($filesize > $postsize)   $filesize = $postsize;

print "<h4>Note:  The current maximum upload file size is $filesize.  You may need to increase this.  See the <i>upload_max_filesize</i> and <i>post_max_size</i> settings in your <i>php.ini</i> file.</h4>\n";

if ($memlimit != "")
  print "<h4>Note:  The current memory limit is $memlimit.  You may need to increase this.  See the <i>memory_limit</i> setting in your <i>php.ini</i> file.</h4>\n";

/* Now test for installed extensions */

if (!extension_loaded("pgsql")) {
  print "<h4><font color\"red\">PHP's PostgreSQL extension is not installed or enabled.  The <i>pgsql</i> extension is required.</font></h4>\n";
  $go = 0;
 }
if (!function_exists("bccomp")) {
  print "<h4><font color=\"red\">PHP's BC Math routines are not installed or enabled.  The <i>bccomp</i> extension is required.</font></h4>\n";
  $go = 0;
 }

/* Test external utilities */

if (!is_executable($sys_convert)) {
  print "<h4><font color=\"red\">ImageMagick's <i>convert</i> utility is not installed at $sys_convert. This utility is required, so please ensure it is installed, and that the <i>\$sys_convert</i> setting is correct.</font></h4>\n";
  $go = 0;
 }
if (!is_executable($sys_composite)) {
  print "<h4><font color=\"red\">ImageMagick's <i>composite</i> utility is not installed at $sys_composite. This utility is required, so please ensure it is installed, and that the <i>\$sys_composite</i> setting is correct.</font></h4>\n";
  $go = 0;
 }
if (!is_executable($sys_exiftool)) {
  print "<h4>ExifTool's <i>exiftool</i> utility is not installed at $sys_exiftool.  This utility is required to decode image metadata, so please ensure it is installed, and that the <i>\$sys_exiftool</i> setting is correct.</h4>\n";
  $go = 0;
 }
if (!is_executable($sys_dcraw)) {
  print "<h4>The <i>dcraw</i> utility is not installed at $sys_dcraw.  This tool is required if you wish to work with RAW images, although ExifTool can be used in some circumstances.  If it is installed, please ensure the <i>\$sys_dcraw</i> setting is correct.</h4>\n";
 }
if (!is_executable($sys_ps2pdf)) {
  print "<h4>The <i>ps2pdf</i> utility is not installed at $sys_ps2pdf.  Without this tool you cannot export to PDF.  If it is installed, please ensure the <i>\$sys_ps2pdf</i> setting is correct.</h4>\n";
 }
if (!is_executable($sys_tar)) {
  print "<h4>The <i>tar</i> utility is not installed at $sys_tar.  Without this tool you cannot import .tar archives, or export images at all.  If it is installed, please ensure the <i>\$sys_tar</i> setting is correct.</h4>\n";
 }
if (!is_executable($sys_unzip)) {
  print "<h4>The <i>unzip</i> utility is not installed at $sys_unzip.   Without this tool you cannot import .zip archives.  If it is installed, please ensure the <i>\$sys_unzip</i> setting is correct.</h4>\n";
 }


if (isset($db_host)) {
  print "<h4><font color=\"red\">Photo Organizer 2.33 and newer use different database configuration mechanisms. You will need to specify this new connection in <i>config_site.php</i> before the upgrade can continue.</font></h4>\n";

  print "<blockquote>\n";
  print "<h4>Please add the following line to your <i>config_site.php</i> file.  For additional examples of database configuration, see <i>config.php</i> for additional examples.</h4>\n";
  print "<pre>\$db_dsn = \"host=$db_host port=$db_port dbname=$db_name user=$db_user password=$db_password\";</pre>\n";
  print "<h4>Additionally, you will need to erase the \$db_host, \$db_port, \$db_name, \$db_user, and \$db_password settings.</h4>\n";
  print "</blockquote>\n";

  $go = 0;
}

  /* =============================================================== */

/* Kick things off */

if (!$go) {
  display_db_form();
  print "</html>";
  exit(0);
 }

ini_set('max_execution_time', 0);  /* Unlimited execution time! */

$dbh = pg_connect($db_dsn); 

if ($dbh === FALSE) {
  print "<h3>Database connection failed; Are credentials valid?</h3>";
  display_db_form();
  print "</html>";
  exit(0);
 }

$pg_ver = pg_version($dbh);

if ($pg_ver['server'] < "8.0") {
  print "<h3>PostgreSQL 8.0 or newer is required! (Current is $pg_ver[server])</h3>";
  print "</html>";
  exit(0);
 }

# Installation steps:

# su - postgres -c "psql template1 -c \"CREATE USER po_user WITH PASSWORD 'po_password' NOCREATEDB NOCREATEUSER;\""
# su - postgres -c "createdb -O po_user po_db --encoding utf8"
# cp -vr src/* /var/www/html/po/
# cp config_site.inc /var/www/html/po/include/config_site.php, modify it.
# mkdir /tmp/image_repo; chown apache:apache /tmp/image_repo
# tell user to kick off http://site/path/install.php
# su - postgres -c "createlang plpgsql po_db"

#$version = "(none)";
$version = po_get_version($dbh);
print "<h3> Current Photo Organizer DB version: $version</h3>\n";
$res = TRUE;

/* XXXX

if (po233_234_pre_migration($dbh)) {
  po233_234_migrate_photo_files($dbh);
 }
exit();
*/

while ($res) {
  $version = po_get_version($dbh);
  $row = $versions[$version];
  if (!$row) {
    break;
  }
  print "<h4> Upgrading from Photo Organizer version $version</h4>\n";
  print "<ul>\n";
  if ($row["pre"]) {
    $res = $row["pre"]($dbh);
  }
  if ($res === FALSE) break;

  print "<li>Upgrading database structure...";
  pg_query($dbh, "begin");
  $res = po_process_db_file($dbh, "sql/$row[db_file]");
  if ($res === TRUE) {
    print "<font color=\"green\">OK</font></li>\n";
    print "<li>Upgrading database data...";
    $res = po_process_db_file($dbh, "sql/$row[dat_file]");
    if ($res === TRUE) {
      print "<font color=\"green\">OK</font></li>\n";
    } else {
      print "<font color=\"red\">FAILED</font></li>\n";
      print "<li><pre>" . pg_last_error($dbh) . "</pre></li>\n";
    }
  } else {
    print "<font color=\"red\">FAILED</font></li>\n";
    print "<li><pre>" . pg_last_error($dbh) . "</pre></li>\n";
  }
  
  if ($res === FALSE) {
    pg_query($dbh, "abort");
    break;
  }
  
  $res = pg_query($dbh, "commit");

  if ($res === FALSE) break;

  if ($row["post"]) {
    $res = $row["post"]($dbh);
    if ($res === FALSE) break;
  }

  print "</ul>\n";
}

if ($res === TRUE) {
  print "<h3> Install/Upgrade to version $version complete.</h3>\n";
  print "<h3><font color=\"red\" IMPORTANT: Set \$install_enabled=0 in config_site.php to disable installer.</font></h3>\n";
 } else {
  print "</ul>\n";
  print "<h3> Correct the above errors, and try again.  We will pick up where we left off.</h3>\n";
 }

// po233_234_migrate_photo_files($dbh);

/*********/

print "</body></html>";
exit(0);

  /* =============================================================== */

?>
