<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
;
include_once "include/common.php";

$database = site_prolog(PO_USER_TYPE_USER);

$label_name   = pg_escape_string($_REQUEST['label_name']);
$manufacturer = pg_escape_string($_REQUEST['manufacturer']);
$paper        = pg_escape_string($_REQUEST['paper']);
$left_margin  = pg_escape_string($_REQUEST['left_margin']);
$top_margin   = pg_escape_string($_REQUEST['top_margin']);
$x_space      = pg_escape_string($_REQUEST['x_space']);
$y_space      = pg_escape_string($_REQUEST['y_space']);
$x_size       = pg_escape_string($_REQUEST['x_size']);
$y_size       = pg_escape_string($_REQUEST['y_size']);
$columns      = pg_escape_string($_REQUEST['columns']);
$rows         = pg_escape_string($_REQUEST['rows']);

if ($manufacturer == "" || $label_name == "" || $paper == "" || $left_margin == "" ||
    $top_margin == "" || $x_space == "" || $y_space == "" || $x_size == "" ||
    $y_size == "" || $columns == "" || $rows == "") {

  header("Location: label.add.php?manufacturer=$manufacturer&label_name=$label_name&paper=$paper&left_margin=$left_margin&top_margin=$top_margin&x_space=$x_space&y_space=$y_space&x_size=$x_size&y_size=$y_size&columns=$columns&rows=$rows");
  exit();
}

$result = pg_query($database, "
  insert into label (identifier, users, manufacturer, name,
                     space_x, space_y, size_x, size_y, offset_x, offset_y, columns, rows,
                     paper, date_of_creation, last_modified_date)
  values (nextval('label_id_sequence'), $po_user[id], $manufacturer, '$label_name',
          $x_space, $y_space, $x_size, $y_size, $left_margin, $top_margin, $columns, $rows,
          $paper, now(), now())");

if ($result) {
  site_push_error($strings['errors']['db_insert_failed']);
 }

site_epilog($database);
header("Location: my.profile.php?selector=".$profile_data['label']['idx']);
?>
