<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/config.php";
;
include_once "include/common.php";
include_once "include/site.php";

$database = site_prolog(PO_USER_TYPE_CLIENT);

$user_id = pg_escape_string($_REQUEST['user']);
if ($user_id == ""){
  site_push_error($strings['errors']['no_user']);
  header("Location: login.php");
  exit();
}

$user_data = pg_fetch_row(pg_query($database, "select first_name, last_name, identifier from users where identifier=$user_id"));

$make_client_request = isset($_REQUEST['make_client']);

if (!$make_client_request) {
  $client = pg_fetch_row(pg_query($database, "select identifier from client where users='$user_id' and client='$po_user[id]' and status=2"));
  
  if ($client != "") {
    site_epilog($database);
    site_push_error($strings['errors']['not_client']);
    header("Location: login.php");
    exit();
  }
 }
    
site_header($strings['users']['add_subscription']);
site_navigator(1);
$user_display_string = sprintf("%s, %s", $user_data[1], $user_data[0]);
site_navigator_status(emit_a("user.php", $strings['generic']['users'])." : <a href=\"user.php?user=$user_data[2]\">$user_display_string</a> : ".$strings['users']['add_subscription'], "");

if ($make_client_request) {
  display_contact_info($database, $user_id);
 } else {
  display_contact_info($database, $po_user['id']);
 }

if (!$make_client_request) {
  print "<p>";
  print $strings['users']['confirm_subscription'] . " $user_display_string.\n";
  print "</p>";
 }

print "<form method=\"post\" action=\"subscription.add.2.php\">";
if ($make_client_request) {
  print "<input type=\"hidden\" name=\"type\" value=\"sub\"/>\n";
 }
print "<input type=\"hidden\" name=\"user\" value=\"$user_id\"/>\n";
print "<center>";
print $thm_elem['button.confirm.subscription'];
print $thm_elem['button.cancel'];
print "</form>";

print "</center>";

site_footer($database);
site_epilog($database);
?>
